"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Scene = exports.Plugin = exports.Manager = exports.Entity = exports.DefaultManager = exports.DefaultDescriptorManager = exports.Component = void 0;
var Component_1 = require("./Component");
Object.defineProperty(exports, "Component", { enumerable: true, get: function () { return Component_1.Component; } });
var DefaultDescriptorManager_1 = require("./DefaultDescriptorManager");
Object.defineProperty(exports, "DefaultDescriptorManager", { enumerable: true, get: function () { return DefaultDescriptorManager_1.DefaultDescriptorManager; } });
var DefaultManager_1 = require("./DefaultManager");
Object.defineProperty(exports, "DefaultManager", { enumerable: true, get: function () { return DefaultManager_1.DefaultManager; } });
var Entity_1 = require("./Entity");
Object.defineProperty(exports, "Entity", { enumerable: true, get: function () { return Entity_1.Entity; } });
var Manager_1 = require("./Manager");
Object.defineProperty(exports, "Manager", { enumerable: true, get: function () { return Manager_1.Manager; } });
var Plugin_1 = require("./Plugin");
Object.defineProperty(exports, "Plugin", { enumerable: true, get: function () { return Plugin_1.Plugin; } });
var Scene_1 = require("./Scene");
Object.defineProperty(exports, "Scene", { enumerable: true, get: function () { return Scene_1.Scene; } });
